Subject: [PATCH 0/5] Make xHCI driver endian-safe, add a barrier, some debug

From: Matt Evans <[email-masked]>
Date: Fri, 25 Mar 2011 18:43:44 +1100

Hi Sarah,

This series addresses the endian issues with the xHCI driver, and has brought
lovely USB 3 to PPC. :-)  I've tested various types of traffic on ppc4xx and
POWER7 and (some sound driver bugs notwithstanding) all seems fine.  Also
addresses an ordering problem we found and the recursive nature of the event
handling, plus the addition of some debug.

This should apply to 2.6.38/Linus' tree.

Thanks!

Matt